diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-prr-recovery-test.cc ns-3.43/src/internet/test/tcp-prr-recovery-test.cc
--- ns-3.42/src/internet/test/tcp-prr-recovery-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-prr-recovery-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2018 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Viyom Mittal <viyommittal@gmail.com>
  *         Vivek Jain <jain.vivek.anand@gmail.com>
@@ -47,7 +36,6 @@
      * \param bytesInFlight Current bytes in flight.
      * \param m_deliveredBytes Bytes SACKed on last acknowledgment.
      * \param bytesSent Bytes sent while in recovery phase.
-     * \param reductionBound Type of reduction bound to be used.
      * \param name Test description.
      */
     PrrRecoveryTest(uint32_t cWnd,
@@ -57,20 +45,18 @@
                     uint32_t bytesInFlight,
                     uint32_t m_deliveredBytes,
                     uint32_t bytesSent,
-                    const std::string& reductionBound,
                     const std::string& name);
 
   private:
     void DoRun() override;
 
-    uint32_t m_cWnd;                    //!< Congestion window.
-    uint32_t m_segmentSize;             //!< Segment size.
-    uint32_t m_ssThresh;                //!< Slow Start Threshold.
-    uint32_t m_unAckDataCount;          //!< Unacknowledged data at the start of recovery.
-    uint32_t m_bytesInFlight;           //!< Current bytes in flight.
-    uint32_t m_deliveredBytes;          //!< Bytes SACKed on last acknowledgment.
-    uint32_t m_bytesSent;               //!< Bytes sent while in recovery phase.
-    const std::string m_reductionBound; //!< Type of reduction bound to be used.
+    uint32_t m_cWnd;           //!< Congestion window.
+    uint32_t m_segmentSize;    //!< Segment size.
+    uint32_t m_ssThresh;       //!< Slow Start Threshold.
+    uint32_t m_unAckDataCount; //!< Unacknowledged data at the start of recovery.
+    uint32_t m_bytesInFlight;  //!< Current bytes in flight.
+    uint32_t m_deliveredBytes; //!< Bytes SACKed on last acknowledgment.
+    uint32_t m_bytesSent;      //!< Bytes sent while in recovery phase.
 
     Ptr<TcpSocketState> m_state; //!< TCP socket state.
 };
@@ -82,7 +68,6 @@
                                  uint32_t bytesInFlight,
                                  uint32_t deliveredBytes,
                                  uint32_t bytesSent,
-                                 const std::string& reductionBound,
                                  const std::string& name)
     : TestCase(name),
       m_cWnd(cWnd),
@@ -91,8 +76,7 @@
       m_unAckDataCount(unAckDataCount),
       m_bytesInFlight(bytesInFlight),
       m_deliveredBytes(deliveredBytes),
-      m_bytesSent(bytesSent),
-      m_reductionBound(reductionBound)
+      m_bytesSent(bytesSent)
 {
 }
 
@@ -108,7 +92,6 @@
     m_state->m_bytesInFlight = m_bytesInFlight;
 
     Ptr<TcpPrrRecovery> recovery = CreateObject<TcpPrrRecovery>();
-    recovery->SetAttribute("ReductionBound", StringValue(m_reductionBound));
 
     recovery->EnterRecovery(m_state, 3, m_unAckDataCount, 0);
 
@@ -125,7 +108,7 @@
     m_bytesInFlight += m_state->m_cWnd.Get() - m_cWnd;
     m_state->m_bytesInFlight = m_bytesInFlight;
     m_cWnd = m_state->m_cWnd.Get();
-    recovery->DoRecovery(m_state, m_deliveredBytes);
+    recovery->DoRecovery(m_state, m_deliveredBytes, false);
 
     if (m_bytesInFlight > m_state->m_ssThresh)
     {
@@ -162,7 +145,6 @@
                         3000,
                         500,
                         1000,
-                        "SSRB",
                         "Prr test on cWnd when bytesInFlight is greater than ssThresh with SSRB"),
                     TestCase::Duration::QUICK);
         AddTestCase(new PrrRecoveryTest(
@@ -173,7 +155,6 @@
                         1000,
                         500,
                         1000,
-                        "SSRB",
                         "Prr test on cWnd when bytesInFlight is lower than ssThresh with SSRB"),
                     TestCase::Duration::QUICK);
         AddTestCase(new PrrRecoveryTest(
@@ -184,7 +165,6 @@
                         3000,
                         500,
                         1000,
-                        "CRB",
                         "Prr test on cWnd when bytesInFlight is greater than ssThresh with CRB"),
                     TestCase::Duration::QUICK);
         AddTestCase(new PrrRecoveryTest(
@@ -195,7 +175,6 @@
                         1000,
                         500,
                         1000,
-                        "CRB",
                         "Prr test on cWnd when bytesInFlight is lower than ssThresh with CRB"),
                     TestCase::Duration::QUICK);
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-rate-ops-test.cc ns-3.43/src/internet/test/tcp-rate-ops-test.cc
--- ns-3.42/src/internet/test/tcp-rate-ops-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-rate-ops-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2018 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Vivek Jain <jain.vivek.anand@gmail.com>
  *          Viyom Mittal <viyommittal@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-rto-test.cc ns-3.43/src/internet/test/tcp-rto-test.cc
--- ns-3.42/src/internet/test/tcp-rto-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-rto-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Natale Patriciello <natale.patriciello@gmail.com>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-rtt-estimation.cc ns-3.43/src/internet/test/tcp-rtt-estimation.cc
--- ns-3.42/src/internet/test/tcp-rtt-estimation.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-rtt-estimation.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Natale Patriciello <natale.patriciello@gmail.com>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-rx-buffer-test.cc ns-3.43/src/internet/test/tcp-rx-buffer-test.cc
--- ns-3.42/src/internet/test/tcp-rx-buffer-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-rx-buffer-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-sack-permitted-test.cc ns-3.43/src/internet/test/tcp-sack-permitted-test.cc
--- ns-3.42/src/internet/test/tcp-sack-permitted-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-sack-permitted-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Natale Patriciello <natale.patriciello@gmail.com>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
@@ -198,7 +187,7 @@
 
 /**
  * \ingroup internet-test
- *  \ingroup tests
+ * \ingroup tests
  *
  * The test case for testing the TCP SACK PERMITTED option.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-scalable-test.cc ns-3.43/src/internet/test/tcp-scalable-test.cc
--- ns-3.42/src/internet/test/tcp-scalable-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-scalable-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 ResiliNets, ITTC, University of Kansas
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Truc Anh N. Nguyen <annguyen@ittc.ku.edu>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-slow-start-test.cc ns-3.43/src/internet/test/tcp-slow-start-test.cc
--- ns-3.42/src/internet/test/tcp-slow-start-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-slow-start-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Natale Patriciello <natale.patriciello@gmail.com>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 #include "tcp-general-test.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-syn-connection-failed-test.cc ns-3.43/src/internet/test/tcp-syn-connection-failed-test.cc
--- ns-3.42/src/internet/test/tcp-syn-connection-failed-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-syn-connection-failed-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2019 Alexander Krotov <krotov@iitp.ru>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-test.cc ns-3.43/src/internet/test/tcp-test.cc
--- ns-3.42/src/internet/test/tcp-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2007 Georgia Tech Research Corporation
  * Copyright (c) 2009 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  *          Raj Bhattacharjea <raj.b@gatech.edu>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-timestamp-test.cc ns-3.43/src/internet/test/tcp-timestamp-test.cc
--- ns-3.42/src/internet/test/tcp-timestamp-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-timestamp-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Natale Patriciello <natale.patriciello@gmail.com>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-tx-buffer-test.cc ns-3.43/src/internet/test/tcp-tx-buffer-test.cc
--- ns-3.42/src/internet/test/tcp-tx-buffer-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-tx-buffer-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-vegas-test.cc ns-3.43/src/internet/test/tcp-vegas-test.cc
--- ns-3.42/src/internet/test/tcp-vegas-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-vegas-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 ResiliNets, ITTC, University of Kansas
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Truc Anh N. Nguyen <annguyen@ittc.ku.edu>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-veno-test.cc ns-3.43/src/internet/test/tcp-veno-test.cc
--- ns-3.42/src/internet/test/tcp-veno-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-veno-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 ResiliNets, ITTC, University of Kansas
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Truc Anh N. Nguyen <annguyen@ittc.ku.edu>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-wscaling-test.cc ns-3.43/src/internet/test/tcp-wscaling-test.cc
--- ns-3.42/src/internet/test/tcp-wscaling-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-wscaling-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Natale Patriciello <natale.patriciello@gmail.com>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-yeah-test.cc ns-3.43/src/internet/test/tcp-yeah-test.cc
--- ns-3.42/src/internet/test/tcp-yeah-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-yeah-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 ResiliNets, ITTC, University of Kansas
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Truc Anh N. Nguyen <annguyen@ittc.ku.edu>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-zero-window-test.cc ns-3.43/src/internet/test/tcp-zero-window-test.cc
--- ns-3.42/src/internet/test/tcp-zero-window-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-zero-window-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Natale Patriciello <natale.patriciello@gmail.com>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/udp-test.cc ns-3.43/src/internet/test/udp-test.cc
--- ns-3.42/src/internet/test/udp-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/udp-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 Georgia Tech Research Corporation
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Raj Bhattacharjea <raj.b@gatech.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/doc/internet-apps.h ns-3.43/src/internet-apps/doc/internet-apps.h
--- ns-3.42/src/internet-apps/doc/internet-apps.h	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/doc/internet-apps.h	2024-10-09 16:41:09.876655800 -0700
@@ -1,33 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
- *
- */
-
-/*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
- *
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef INTERNET_APPS_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/examples/dhcp-example.cc ns-3.43/src/internet-apps/examples/dhcp-example.cc
--- ns-3.42/src/internet-apps/examples/dhcp-example.cc	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/examples/dhcp-example.cc	2024-10-09 16:41:09.876655800 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2011 UPB
  * Copyright (c) 2017 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Radu Lupu <rlupu@elcom.pub.ro>
  *         Ankit Deepak <adadeepak8@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/examples/ping-example.cc ns-3.43/src/internet-apps/examples/ping-example.cc
--- ns-3.42/src/internet-apps/examples/ping-example.cc	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/examples/ping-example.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2022 Chandrakant Jena
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Chandrakant Jena <chandrakant.barcelona@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/examples/traceroute-example.cc ns-3.43/src/internet-apps/examples/traceroute-example.cc
--- ns-3.42/src/internet-apps/examples/traceroute-example.cc	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/examples/traceroute-example.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2019 Ritsumeikan University, Shiga, Japan
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Alberto Gallegos Ramonet <ramonet@fc.ritsumei.ac.jp>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/helper/dhcp-helper.cc ns-3.43/src/internet-apps/helper/dhcp-helper.cc
--- ns-3.42/src/internet-apps/helper/dhcp-helper.cc	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/helper/dhcp-helper.cc	2024-10-09 16:41:09.876655800 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2011 UPB
  * Copyright (c) 2017 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Radu Lupu <rlupu@elcom.pub.ro>
  *         Ankit Deepak <adadeepak8@gmail.com>
